/*
 * Copyright (c) 1995, Silicon Graphics, Inc.
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee, provided
 * that the name of Silicon Graphics may not be used in any advertising or
 * publicity relating to the software without the specific, prior written
 * permission of Silicon Graphics.
 *
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
 * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT SHALL SILICON GRAPHICS BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER
 * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE
 * POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * OpenGL(TM) is a trademark of Silicon Graphics, Inc.
 */

#include <gl.h>

main()
{
    prefposition(100,400,100,400);
    winopen("irisGL arcs");
    RGBmode();
    gconfig();

    RGBcolor(0,0,0);
    clear();

    ortho2(-10.0,10.0,-10.0,10.0);

    RGBcolor(255,255,0);
    arcf(-5.,-5.6,4.0,2700,0);

    RGBcolor(0,255,255);
    arc(5.,5.,3.0,1800,900);

    RGBcolor(255,255,255);
    circf(-5.,5.,3.0);

    RGBcolor(255,0,0);
    arci(5,-5,3,1000,2000);

    RGBcolor(255,255,0);
    rect(-1.,-1.,2.0,2.0);

    RGBcolor(0,255,0);   
    sboxf(2.,2.,3.5,3.5);


    sleep(3);

}
