/******************************************************************************
 * $Id: SoXtGLRRenderArea.h,v 1.1 1996/03/05 00:22:05 dave Exp $
 * 
 * Source File Name: SoXtGLRRenderArea.h
 * 
 *   	      Copyright (c) 1991-96 Silicon Graphics, Inc.
 *            SILICON GRAPHICS INC., Mountain View, California
 *  
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee, provided
 * that the name of Silicon Graphics may not be used in any advertising or
 * publicity relating to the software without the specific, prior written
 * permission of Silicon Graphics.
 * 
 * The software is provided AS-IS and without WARRANTY of any kind,
 * express, implied or otherwise, including without limitation, any
 * warranty of merchantabilityl or fitness for a particular purpose.
 * 
 * In no event shall Silicon Graphics be liable for any special, incidental,
 * indirect or consequential damages of any kind, or any damages whatsoever
 * resulting from loss of use, data or profits, whether or not advised of the
 * possibility of damage, and on any theory of liability, arising out of or in
 * connection with the use or performance of this software. Contractor is 
 * SILICON GRAPHICS, INC., 2011 N. Shoreline blvd., Mountain View, CA. 94039
 * 
 * Language: C++
 * 
 * Description: 
 * 
 * Revision History: 
 *  02/08/96  ROE  Initial Coding.
 *     
 *****************************************************************************/
#ifndef SOXTGLRENDERAREA_H
#define SOXTGLRENDERAREA_H

#include <Inventor/Xt/SoXtRenderArea.h>
#include <GL/glr.h>

class SoXtGLRRenderArea : public SoXtRenderArea {
public:
  SoXtGLRRenderArea(int [], Widget parent = NULL, const char *name = NULL, 
		    SbBool = TRUE, SbBool = TRUE, SbBool = TRUE);

  virtual ~SoXtGLRRenderArea() {};

  enum Quality {LOW, HIGH};

  void render(SoXtGLRRenderArea::Quality);

protected:
  void renderRemote();

private:

  GLrSession    session;
  GLrCanvas canvas;
  static GLint fallbackAttributes[];
};
#endif
