/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
extern
Window utilCreateWindow( int defW, int defH, int defX, int defY, Window parent,
			 int attributes[], char *colorName,
		         int argc, char **argv, char *geometry,
			 Display **dpy_ret, XVisualInfo **vi_ret,
			 Colormap *cmap_ret, GC *xgc_ret );
extern
void utilEventLoop( Display *dpy,
		    void (*exposeCallback)(void),
		    void  (*keyCallback)( KeySym, Bool *exit, Bool *redraw),
		    void (*displayCallback)(void));

extern void utilPromptUser( void );

extern void utilGetGraphicsName( char *glrenderer, char *buf );

extern void utilDumpRGBImage( char *fname, int width, int height, char *buf );
extern unsigned long utilXPixel( float r, float g, float b, XVisualInfo *vi );
extern void utilCheckError( void );
