/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */

/************************************************************************
 *
 * File: %M%
 *
 * Copyright (c) 1994 by Silicon Graphics Inc., Mt. View, CA 94039
 *
 * Created:       Wed Jan 26 17:48:58 1994 by George Kyriazis
 * Last Modified: Wed Mar 23 11:12:46 1994 by George Kyriazis
 *
 * < General description goes here > 
 *
 ************************************************************************/

#ident "$Revision: 1.1 $"

#include "GlRenderAction.h"

#include <Inventor/misc/SoState.h>

#include <Inventor/SoLists.h>

GlRenderAction::GlRenderAction( SbViewportRegion& viewportRegion )
: SoGLRenderAction( viewportRegion, TRUE )
{
}

GlRenderAction::~GlRenderAction()
{
}

////////////////////////////////////////////////////////////////////////

void
GlRenderAction::beginTraversal( SoNode *node )
{
    traverse( node );
}


