/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */

#ifndef _GLCYLINDER_H
#define _GLCYLINDER_H

/************************************************************************
 *
 * File: %M%
 *
 * Copyright (c) 1994 by Silicon Graphics Inc., Mt. View, CA 94039
 *
 * Created:       Tue Jul 12 12:44:57 1994 by George Kyriazis
 * Last Modified: Tue Jul 12 12:56:33 1994 by George Kyriazis
 *
 * a cylinder
 *
 ************************************************************************/

#ident "$Revision: 1.1 $"

#include <Inventor/nodes/SoCylinder.h>

class GlCylinder : public SoCylinder {

    SO_NODE_HEADER(GlCylinder);

  public:
    GlCylinder();

  SoEXTENDER public:
    virtual void	GLRender (SoGLRenderAction *action);

  SoINTERNAL public:
    static void		initClass();

  private:
    virtual	~GlCylinder();

    void	GLRenderGeneric (SoGLRenderAction *action);

};

#endif /* _GLCYLINDER_H */
